NX Open C++ Reference Guide
|
Represents a @link Features::ExtendSheet Features::ExtendSheet@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateExtendSheetBuilder Features::FeatureCollection::CreateExtendSheetBuilder @endlink <br>
Default values. More...
Public Types | |
enum | BodyOutput { BodyOutputExtendOriginalSheet, BodyOutputExtendasNewFace, BodyOutputExtendasNewSheet } |
Creates extension as an existing or a new entity. More... | |
enum | Limit { LimitOffset, LimitUntilSelected } |
Determines the Limit type for extension. More... | |
enum | SideEdgeShape { SideEdgeShapeAutomatic, SideEdgeShapeTangent, SideEdgeShapeOrthogonal } |
Determines the path of the extension. More... | |
enum | SurfaceShape { SurfaceShapeNaturalCurvature, SurfaceShapeNaturalTangent, SurfaceShapeMirrored } |
Determines the surface type of the extension. More... | |
Public Member Functions | |
NXOpen::Features::ExtendSheetBuilder::BodyOutput | BodyOutputOption () |
Returns the option to control whether the shape is extended as the original sheet, as a new face, or as a new sheet Created in NX9.0.0. | |
bool | CopyOriginal () |
Returns the copy original option determines if the original body is modified or a copy of the original is made Created in NX9.0.0. | |
double | DistanceTolerance () |
Returns the distance tolerance Created in NX9.0.0. | |
NXOpen::Features::ExtendSheetBuilder::Limit | LimitMethod () |
Returns the option to control limit by distance or until selected objects Created in NX9.0.0. | |
NXOpen::ScCollector * | LimitTools () |
Returns the limiting tool face or plane to extend to Created in NX9.0.0. | |
NXOpen::Expression * | Offset () |
Returns the offset distance to extend Created in NX9.0.0. | |
void | SetBodyOutputOption (NXOpen::Features::ExtendSheetBuilder::BodyOutput bodyOutputOption) |
Sets the option to control whether the shape is extended as the original sheet, as a new face, or as a new sheet Created in NX9.0.0. | |
void | SetCopyOriginal (bool copyOriginal) |
Sets the copy original option determines if the original body is modified or a copy of the original is made Created in NX9.0.0. | |
void | SetDistanceTolerance (double tolerance) |
Sets the distance tolerance Created in NX9.0.0. | |
void | SetLimitMethod (NXOpen::Features::ExtendSheetBuilder::Limit limitMethod) |
Sets the option to control limit by distance or until selected objects Created in NX9.0.0. | |
void | SetSideEdgeShapeOption (NXOpen::Features::ExtendSheetBuilder::SideEdgeShape sideEdgeShapeOption) |
Sets the direction by which the edge is extended Created in NX9.0.0. | |
void | SetSurfaceShapeOption (NXOpen::Features::ExtendSheetBuilder::SurfaceShape surfaceShapeOption) |
Sets the method by which the surface is extended which defines the shape Created in NX9.0.0. | |
NXOpen::Features::ExtendSheetBuilder::SideEdgeShape | SideEdgeShapeOption () |
Returns the direction by which the edge is extended Created in NX9.0.0. | |
NXOpen::Features::ExtendSheetBuilder::SurfaceShape | SurfaceShapeOption () |
Returns the method by which the surface is extended which defines the shape Created in NX9.0.0. | |
NXOpen::ScCollector * | TargetBoundaryEdges () |
Returns the input edges to extend Created in NX9.0.0. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::ExtendSheet Features::ExtendSheet@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateExtendSheetBuilder Features::FeatureCollection::CreateExtendSheetBuilder @endlink <br>
Default values.
Property | Value |
---|---|
BodyOutputOption |
ExtendOriginalSheet |
CopyOriginal |
false |
LimitMethod | |
Offset.Value |
5 (millimeters part), 0.2 (inches part) |
SideEdgeShapeOption |
Automatic |
SurfaceShapeOption |
NaturalCurvature |
Created in NX9.0.0.
Determines the surface type of the extension.
NXOpen::Features::ExtendSheetBuilder::BodyOutput NXOpen::Features::ExtendSheetBuilder::BodyOutputOption | ( | ) |
Returns the option to control whether the shape is extended as the original sheet, as a new face, or as a new sheet
Created in NX9.0.0.
License requirements : None
bool NXOpen::Features::ExtendSheetBuilder::CopyOriginal | ( | ) |
Returns the copy original option determines if the original body is modified or a copy of the original is made
Created in NX9.0.0.
License requirements : None
double NXOpen::Features::ExtendSheetBuilder::DistanceTolerance | ( | ) |
Returns the distance tolerance
Created in NX9.0.0.
License requirements : None
NXOpen::Features::ExtendSheetBuilder::Limit NXOpen::Features::ExtendSheetBuilder::LimitMethod | ( | ) |
Returns the option to control limit by distance or until selected objects
Created in NX9.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Features::ExtendSheetBuilder::LimitTools | ( | ) |
Returns the limiting tool face or plane to extend to
Created in NX9.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ExtendSheetBuilder::Offset | ( | ) |
Returns the offset distance to extend
Created in NX9.0.0.
License requirements : None
void NXOpen::Features::ExtendSheetBuilder::SetBodyOutputOption | ( | NXOpen::Features::ExtendSheetBuilder::BodyOutput | bodyOutputOption | ) |
Sets the option to control whether the shape is extended as the original sheet, as a new face, or as a new sheet
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
bodyOutputOption | bodyoutputoption |
void NXOpen::Features::ExtendSheetBuilder::SetCopyOriginal | ( | bool | copyOriginal | ) |
Sets the copy original option determines if the original body is modified or a copy of the original is made
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
copyOriginal | copyoriginal |
void NXOpen::Features::ExtendSheetBuilder::SetDistanceTolerance | ( | double | tolerance | ) |
Sets the distance tolerance
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
tolerance | tolerance |
void NXOpen::Features::ExtendSheetBuilder::SetLimitMethod | ( | NXOpen::Features::ExtendSheetBuilder::Limit | limitMethod | ) |
Sets the option to control limit by distance or until selected objects
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
limitMethod | limitmethod |
void NXOpen::Features::ExtendSheetBuilder::SetSideEdgeShapeOption | ( | NXOpen::Features::ExtendSheetBuilder::SideEdgeShape | sideEdgeShapeOption | ) |
Sets the direction by which the edge is extended
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
sideEdgeShapeOption | sideedgeshapeoption |
void NXOpen::Features::ExtendSheetBuilder::SetSurfaceShapeOption | ( | NXOpen::Features::ExtendSheetBuilder::SurfaceShape | surfaceShapeOption | ) |
Sets the method by which the surface is extended which defines the shape
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
surfaceShapeOption | surfaceshapeoption |
NXOpen::Features::ExtendSheetBuilder::SideEdgeShape NXOpen::Features::ExtendSheetBuilder::SideEdgeShapeOption | ( | ) |
Returns the direction by which the edge is extended
Created in NX9.0.0.
License requirements : None
NXOpen::Features::ExtendSheetBuilder::SurfaceShape NXOpen::Features::ExtendSheetBuilder::SurfaceShapeOption | ( | ) |
Returns the method by which the surface is extended which defines the shape
Created in NX9.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Features::ExtendSheetBuilder::TargetBoundaryEdges | ( | ) |
Returns the input edges to extend
Created in NX9.0.0.
License requirements : None